#!/bin/sh

## These were the settings in use at the time this script was originally
## generated (%1$tF %1$tT by '%2$s')
## The variables in this section can be edited as you need.

## All possible Java launchers to try, whitespace separated; first one
## found is used.  You can set this to an empty string to simply use whatever
## 'java' is found in $PATH.
javabins_space_sep="%3$s"
#javabins_space_sep=

## JVM arguments that had been passed to the Java launcher.
javaargs="%5$s"

## Where the JAR was.
ewjar="%4$s"

## Relevant environment variables.
envs="%6$s"

## The initial splash logo can be skipped by uncommenting this line.
#nosplash='-splash:/dev/null'
## TODO cygwin should use NUL instead of /dev/null as the JRE is likely to be
## the native Windows executable

## Text mode will wrap output to $COLUMNS, if that's set in the environment.
#export COLUMNS=${COLUMNS:-80}

## EW arguments to pass.  Most users can leave this empty.
ewargs=

## Nothing past this point *should* need to be modified.  If something breaks
## and you need to make changes, please let us know.
##############################################################################

warn() {
	echo "Encryption Wizard: " "$*" 1>&2
}
error() {
	warn "$*"
	exit 1
}

javabin=
for f in $javabins_space_sep; do
	if test -x $f; then
		javabin=$f
		break
	fi
done
if test ! -n "$javabin"; then
	warn "could not find Java launcher, falling back on 'java' in the path"
	javabin=java
fi

if test ! -f "$ewjar"; then
	error "JAR file ($ewfile) missing"
fi

args=""
for arg in "$@"; do
	# TODO run file arguments through cygpath, else this is a no-op
	args="$args $arg"
done

# The eval is required because variable expansion happens after slurping up
# environmental overrides.
eval $envs \"$javabin\" $javaargs $nosplash -jar \"$ewjar\" $ewargs $args
exit $?

##
